# Interface methods for submodule: RankImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MovingHistogramImageFilterBaseProxy as _MovingHistogramImageFilterBaseProxy


# Interface methods for class: RankImageFilter
class RankImageFilterProxy(_MovingHistogramImageFilterBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def ConfigureHistogram(self, arg0) -> None:
		""""""
		...

	def SetRank(self, _arg: float) -> None:
		""""""
		...

	def GetRank(self) -> float:
		""""""
		...

	def GetUseVectorBasedAlgorithm(self) -> bool:
		""""""
		...

